Retail Express API 2.1

currencies

Searches Currencies by parameters

Searches Currencies by parameters

get
https://api.retailexpress.com.au/v2.1/currencies

Query Parameters

modified_sincestring | null(date-time)

Modified since search parameter

order_bystring | null

Order by.

Available field name values: id (default), currency_code, currency_name, modified_on

Available direction values: asc, desc.

Example: description asc, modified_on desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Currencies data

Currency.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Currencies model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/currencies
 
application/json

Gets Currency by id

Gets Currency by id

get
https://api.retailexpress.com.au/v2.1/currencies/{id}

Path Parameters

idinteger(int32)required

Gets Currency by id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Currency

Currency

Currencies model

* Additional properties are NOT allowed.
idinteger | null(int32)

Currency Id

currency_codestring | null

Currency Code

currency_namestring | null

Currency Name

modified_onstring(date-time)

Last Modified On

get/currencies/{id}
 
application/json

customerlogs

Searches Customer Logs by parameters

Searches Customer Logs by parameters

get
https://api.retailexpress.com.au/v2.1/customerlogs

Query Parameters

order_bystring | null

Order by.

Available field name values: id, created_on

Available direction values: id asc, customer_number desc.

Example: id asc, customer_id desc

filter_bystring | null

Filter by.

Available field name values: id, customer_id, customer_number, master_customer_id, master_customer_number, created_on

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:eq:303062, master_customer_id:3039:eq:true

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Customer Logs

CustomerLogVM.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/customerlogs
 
application/json